Module java.desktop
Package javax.swing.plaf.metal

# Class MetalIconFactory.PaletteCloseIcon

java.lang.Object
javax.swing.plaf.metal.MetalIconFactory.PaletteCloseIcon

All Implemented Interfaces:
  `Serializable`, `Icon`, `UIResource`

Enclosing class:
  MetalIconFactory

    public static class MetalIconFactory.PaletteCloseIcon
    extends Object
    implements Icon, UIResource, Serializable

Defines an icon for Palette close

Since:
  1.3

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PaletteCloseIcon()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Icon

`getIconHeight, getIconWidth, paintIcon`

## Constructor Details

### PaletteCloseIcon

public PaletteCloseIcon()